import { ChangeDetectorRef } from '@angular/core';
import { SdFormGenericRadio } from '../../../../../models';
import { BuilderService } from '../../../services';
import * as i0 from "@angular/core";
export declare class RadioControl {
    #private;
    private ref;
    private builderService;
    component: SdFormGenericRadio;
    set _component(component: SdFormGenericRadio);
    constructor(ref: ChangeDetectorRef, builderService: BuilderService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioControl, "radio-control", never, { "_component": { "alias": "component"; "required": true; }; }, {}, never, never, true, never>;
}
